freeslot("SKINCOLOR_ROB",
"SKINCOLOR_BOR"
)

skincolors[SKINCOLOR_ROB] = {
    name = "Red or Blue",
    ramp = {152,153,153,154,155,156,157,169,35,37,38,40,41,43,45,46},
    invcolor = SKINCOLOR_BOR,
    invshade = 5,
    chatcolor = V_REDMAP,
    accessible = true
}

skincolors[SKINCOLOR_BOR] = {
    name = "Blue or Red",
    ramp = {152,153,153,154,155,156,157,169,35,37,38,40,41,43,45,46},
    invcolor = SKINCOLOR_ROB,
    invshade = 5,
    chatcolor = V_BLUEMAP,
    accessible = true
}

M_MoveColorAfter(SKINCOLOR_BOR, SKINCOLOR_ROB)

-- The scripts! 1/2 - ROB
local flashColor = skincolors[SKINCOLOR_ROB] //change this to your desired skincolor!
local flashDelay = 5 //change this to how many tics it takes to animate

local rampPos = 1
local rampDir = true
local ramps = {}

//convert the ramp to a table
ramps[1] = {}
for i = 0, 15, 1
	ramps[1][i+1] = flashColor.ramp[i]
end

//create the offset versions of the ramp
for i = 2, 16,1
	ramps[i] = {}

	for pos,val in ipairs(ramps[i-1]) do
		if not (pos == 16) then
			ramps[i][pos+1] = val
		else
			ramps[i][1] = val
		end
	end
end

local function RampWave()
	if not (leveltime % flashDelay) then

		rampPos = $1+1
		
		//too high, time to go back
		if not (ramps[rampPos])
			rampPos = 1
		end

		flashColor.ramp = ramps[rampPos]
	end
end

addHook("ThinkFrame", RampWave)

-- 2/2 - BOR
local flashColor2 = skincolors[SKINCOLOR_BOR] //change this to your desired skincolor!
local flashDelay2 = 5 //change this to how many tics it takes to animate

local rampPos2 = 1
local rampDir2 = true
local ramps2 = {}

//convert the ramp to a table
ramps2[1] = {}
for i = 0, 15, 1
	ramps2[1][i+1] = flashColor2.ramp[i]
end

//create the offset versions of the ramp
for i = 2, 16,1
	ramps2[i] = {}

	for pos,val in ipairs(ramps2[i-1]) do
		if not (pos == 1) then
			ramps2[i][pos-1] = val
		else
			ramps2[i][16] = val
		end
	end
end

local function RampWave2()
	if not (leveltime % flashDelay2) then

		rampPos2 = $1+1
		
		//too low, time to go back
		if not (ramps2[rampPos2])
			rampPos2 = 1
		end

		flashColor2.ramp = ramps2[rampPos2]
	end
end

addHook("ThinkFrame", RampWave2)